## duecredit 0.4.5.3

=== requirements.txt ===
mock
nose>=1.3.4
vcrpy
contextlib2
requests
citeproc-py
six

=== debian/changelog ===
duecredit (0.4.5.3-1) unstable; urgency=medium

  * Bugfix release for isatty comparison triggered by inferior mocking in
    PyMVPA

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 31 Dec 2015 17:49:18 -0500

duecredit (0.4.5-1) UNRELEASED; urgency=medium

  * Bugfix upstream release to make decoration with duecredit more robust
    against its internal import issues
  * debian/patches/changeset_master.diff -- upstreamed

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 02 Dec 2015 23:12:47 -0500

duecredit (0.4.4.1-1) unstable; urgency=low

  * Autogenerated by py2dsp v1.20151008
  * Initial packaging (Closes: #804395)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 08 Nov 2015 05:42:50 +0000

=== debian/control ===
Source: duecredit
Section: python
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9), dh-python,
               python-all,
               python-citeproc,
               python-contextlib2,
               python-mock,
               python-nose,
               python-requests,
               python-setuptools,
               python-six,
               python3-all,
               python3-setuptools,
               python3-citeproc,
               python3-contextlib2,
               python3-mock,
               python3-nose,
               python3-requests,
               python3-six,
Standards-Version: 3.9.6
Homepage: https://github.com/duecredit/duecredit

Package: python-duecredit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
XB-Python-Egg-Name: duecredit
Description: Publications (and donations) tracer - Python 2.X
 duecredit is being conceived to address the problem of inadequate
 citation of scientific software and methods, and limited visibility of
 donation requests for open-source software.
 .
 It provides a simple framework (at the moment for Python only) to
 embed publication or other references in the original code so they are
 automatically collected and reported to the user at the necessary
 level of reference detail, i.e. only references for actually used
 functionality will be presented back if software provides multiple
 citeable implementations.
 .
 To get a sense of what duecredit is about, simply run 
 or your analysis script with `-m duecredit`, e.g.
 .
     python -m duecredit examples/example_scipy.py

Package: python3-duecredit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
XB-Python-Egg-Name: duecredit
Description: Publications (and donations) tracer
 duecredit is being conceived to address the problem of inadequate
 citation of scientific software and methods, and limited visibility of
 donation requests for open-source software.
 .
 It provides a simple framework (at the moment for Python only) to
 embed publication or other references in the original code so they are
 automatically collected and reported to the user at the necessary
 level of reference detail, i.e. only references for actually used
 functionality will be presented back if software provides multiple
 citeable implementations.
 .
 To get a sense of what duecredit is about, simply run 
 or your analysis script with `-m duecredit`, e.g.
 .
     python3 -m duecredit examples/example_scipy.py

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=duecredit
export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
export PYBUILD_TEST_ARGS=-e 'test_(import_doi|noincorrect_import_if_no_lxml_numpy)'

export LC_ALL=C.UTF-8
# there is still some race condition somewhere so injection test on a fast system
# manages to fail... to slow things down -- turning on debug
export DUECREDIT_LOGLEVEL=DEBUG

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	-rm duecredit/version.py  # autogenerated

## duecredit 0.5.0

=== debian/changelog ===
duecredit (0.5.0-1~nd15.10+1) wily; urgency=medium

  * Backported for wily.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 11 May 2016 16:01:11 -0400

duecredit (0.5.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 May 2016 15:35:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: duecredit
 Section: python
 Priority: optional
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9), dh-python,
                python-all,
                python-citeproc,
@@ -24,7 +25,7 @@
 
 Package: python-duecredit
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
 Recommends: ${python:Recommends}
 Suggests: ${python:Suggests}
 XB-Python-Egg-Name: duecredit
@@ -47,7 +48,7 @@
 
 Package: python3-duecredit
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 XB-Python-Egg-Name: duecredit

## duecredit 0.6.0

=== requirements.txt ===
# install everything among install_requires specified in setup.py 
# and needed for testing
-e .[tests]

=== debian/changelog ===
duecredit (0.6.0-1) unstable; urgency=medium

  * Fresh upstream release 

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 17 Jun 2016 00:00:51 -0400

## duecredit 0.6.4

=== debian/changelog ===
duecredit (0.6.4-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - upstream uses pytest now instead of nose
  * debian/patches
    - deb_xfail_some_tests to xfail one test for utf-8 handling

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Jun 2018 12:04:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: duecredit
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9), dh-python,
                python-all,
                python-citeproc,
                python-contextlib2,
                python-mock,
-               python-nose,
+               python-pytest,
                python-requests,
                python-setuptools,
                python-six,
@@ -17,7 +16,7 @@
                python3-citeproc,
                python3-contextlib2,
                python3-mock,
-               python3-nose,
+               python3-pytest,
                python3-requests,
                python3-six,
 Standards-Version: 3.9.6
@@ -25,7 +24,7 @@
 
 Package: python-duecredit
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
 Recommends: ${python:Recommends}
 Suggests: ${python:Suggests}
 XB-Python-Egg-Name: duecredit
@@ -48,7 +47,7 @@
 
 Package: python3-duecredit
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends},
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 XB-Python-Egg-Name: duecredit

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 export PYBUILD_NAME=duecredit
 export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
-export PYBUILD_TEST_ARGS=-e 'test_(import_doi|noincorrect_import_if_no_lxml_numpy)'
+#export PYBUILD_TEST_ARGS=-e 'test_(import_doi|noincorrect_import_if_no_lxml_numpy)'
 
 export LC_ALL=C.UTF-8
 # there is still some race condition somewhere so injection test on a fast system

## duecredit 0.6.5

=== debian/changelog ===
duecredit (0.6.5-1~nd17.10+1) artful; urgency=medium

  * Backported for artful.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 04 Feb 2019 13:28:00 -0500

duecredit (0.6.5-1) unstable; urgency=medium

  * Fresh upstream release
    - should be faster to import now and avoid some import issues

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Feb 2019 12:51:06 -0500

## duecredit 0.7.0

=== debian/changelog ===
duecredit (0.7.0-1~nd18.10+1+nd19.04+1) disco; urgency=medium

  * Backported for disco.

 -- unamed <unknown>  Mon, 15 Apr 2019 14:49:42 -0400

duecredit (0.7.0-1~nd18.10+1) cosmic; urgency=medium

  * Backported for cosmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 01 Mar 2019 13:40:36 -0500

duecredit (0.7.0-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Mar 2019 13:10:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: duecredit
 Section: python
 Priority: optional
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9), dh-python,
                python-all,
                python-citeproc,
@@ -24,7 +25,7 @@
 
 Package: python-duecredit
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
 Recommends: ${python:Recommends}
 Suggests: ${python:Suggests}
 XB-Python-Egg-Name: duecredit
@@ -47,7 +48,7 @@
 
 Package: python3-duecredit
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 XB-Python-Egg-Name: duecredit

## duecredit 0.8.0

=== debian/changelog ===
duecredit (0.8.0-1) unstable; urgency=medium

  * Most recent upstream release (Closes: #970895)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 25 Sep 2020 20:08:29 -0400

duecredit (0.7.0-3) unstable; urgency=medium

  * Completely remove mentioining of python2 in debian/rules
    (Closes: #936450)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Dec 2019 22:21:04 -0500

duecredit (0.7.0-2) unstable; urgency=medium

  * Drop python2 support (was intended to close #936450)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 10 Dec 2019 23:18:30 -0500

=== debian/control ===
Source: duecredit
Section: python
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9), dh-python,
               python3-all,
               python3-setuptools,
               python3-citeproc,
               python3-contextlib2,
               python3-mock,
               python3-pytest,
               python3-requests,
               python3-six,
Standards-Version: 3.9.6
Homepage: https://github.com/duecredit/duecredit

Package: python3-duecredit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
XB-Python-Egg-Name: duecredit
Description: Publications (and donations) tracer
 duecredit is being conceived to address the problem of inadequate
 citation of scientific software and methods, and limited visibility of
 donation requests for open-source software.
 .
 It provides a simple framework (at the moment for Python only) to
 embed publication or other references in the original code so they are
 automatically collected and reported to the user at the necessary
 level of reference detail, i.e. only references for actually used
 functionality will be presented back if software provides multiple
 citeable implementations.
 .
 To get a sense of what duecredit is about, simply run 
 or your analysis script with `-m duecredit`, e.g.
 .
     python3 -m duecredit examples/example_scipy.py

## duecredit 0.9.1

=== debian/changelog ===
duecredit (0.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian patch fix_version_PR184.patch applies upstream PR#184 to
    fix package version. Closes: #1030408.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Feb 2023 11:09:20 +0100

duecredit (0.9.1-1) unstable; urgency=medium

  * Most recent upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Mar 2022 09:35:52 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_VERBOSE=1
 
 export PYBUILD_NAME=duecredit
-export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
+export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/bin/
 #export PYBUILD_TEST_ARGS=-e 'test_(import_doi|noincorrect_import_if_no_lxml_numpy)'
 
 export LC_ALL=C.UTF-8
@@ -12,7 +12,7 @@
 export DUECREDIT_LOGLEVEL=DEBUG
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
# try also https://pypi.debian.net/duecredit/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/duecredit/duecredit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## duecredit 0.10.2

=== requirements.txt ===
# install everything among install_requires specified in setup.py
# and needed for testing
-e .[tests]

=== debian/changelog ===
duecredit (0.10.2-2) unstable; urgency=medium

  * Team Upload
  * Drop dependency on old python3-contextlib2
  * Set Rules-Requires-Root: no
  * Use dh-sequence-python3 to trim d/rules

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Sep 2024 00:28:29 +0200

duecredit (0.10.2-1) unstable; urgency=medium

  * New upstream release. Closes: #1066800.
  * move duecredit to the Debian Python Team
    - debian repo https://salsa.debian.org/python-team/packages/duecredit
    - add Drew Parsons as Uploader
    - git repo created using gbp import-dsc from .dsc files
      at http://snapshot.debian.org/package/duecredit/
    - update debian/gbp.conf
  * update debian/watch to version 4 @ANY_VERSION@@ARCHIVE_EXT@
  * update Build-Depends
    - add python3-looseversion, python3-pytest-cov
    - drop python3-mock, python3-six
  * drop debian patches (applied upstream)
  * run tests from toplevel (since many fail from build_dir)
    - skip test_injector_del at build time. It passes at runtime.
    - skip test_import_doi at build-time (needs internet),
      run separately with Restrictions: needs-internet in debian/tests
  * add debian/tests for debci (autopkgtest)
    - run from installed tests dir due to use of relative path ..
  * debian/control: remove unknown field XB-Python-Egg-Name
  * debhelper compatibility level 13 (remove debian/compat)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Jul 2024 17:20:16 +0200

=== debian/control ===
Source: duecredit
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
 Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-citeproc,
               python3-looseversion,
               python3-pytest,
               python3-pytest-cov,
               python3-requests,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/duecredit
Vcs-Git: https://salsa.debian.org/python-team/packages/duecredit.git
Homepage: https://github.com/duecredit/duecredit

Package: python3-duecredit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Publications (and donations) tracer
 duecredit is being conceived to address the problem of inadequate
 citation of scientific software and methods, and limited visibility of
 donation requests for open-source software.
 .
 It provides a simple framework (at the moment for Python only) to
 embed publication or other references in the original code so they are
 automatically collected and reported to the user at the necessary
 level of reference detail, i.e. only references for actually used
 functionality will be presented back if software provides multiple
 citeable implementations.
 .
 To get a sense of what duecredit is about, simply run
 or your analysis script with `-m duecredit`, e.g.
 .
     python3 -m duecredit examples/example_scipy.py

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=duecredit
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

PYVER = $(shell py3versions -sv)

export LC_ALL=C.UTF-8
# there is still some race condition somewhere so injection test on a fast system
# manages to fail... to slow things down -- turning on debug
export DUECREDIT_LOGLEVEL=DEBUG

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	-rm duecredit/version.py  # autogenerated

# tests must be run from topdir
# else a citeproc error is triggered from build_dir
override_dh_auto_test:
	for py in $(PYVER); do \
	  PYTHONPATH=`pybuild -p $$py --print {build_dir}` \
	  python$$py -mpytest -k "not (test_injector_del or test_import_doi)"; \
	done

=== debian/tests/control ===
Test-Command: for py in `py3versions -s`; do $py -m pytest -k "not test_import_doi" /usr/lib/python3/dist-packages/duecredit/tests; done
Depends: python3-duecredit,
 python3-pytest,
 python3-all

Test-Command: for py in `py3versions -s`; do $py -m pytest -k test_import_doi /usr/lib/python3/dist-packages/duecredit/tests; done
Depends: python3-duecredit,
 python3-pytest,
 python3-all
Restrictions: needs-internet

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
 https://pypi.debian.net/duecredit/duecredit-@ANY_VERSION@@ARCHIVE_EXT@

## duecredit 0.11.2

=== debian/changelog ===
duecredit (0.11.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: pybuild-plugin-pyproject
  * update debian/watch to v5 format
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jan 2026 14:58:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
  Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
@@ -14,7 +15,7 @@
                python3-pytest-cov,
                python3-requests,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/duecredit
 Vcs-Git: https://salsa.debian.org/python-team/packages/duecredit.git
 Homepage: https://github.com/duecredit/duecredit

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/duecredit/
Matching-Pattern: duecredit-@ANY_VERSION@@ARCHIVE_EXT@
Uversionmangle: s/(rc|a|b|c)/~$1/
